Skip to main content
GET
Get batch by AnyTrust data hash.

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

data_hash
string
required

AnyTrust data hash.

Pattern: ^0x([A-Fa-f0-9]{64})$
chain_id
string
required

The ID of the blockchain

Query Parameters

type
enum<string>

When set to all, returns a paginated list of all batches for this data hash.

Available options:
all
items_count
integer

Number of items per page

Required range: x >= 1
number
integer

Number for paging

Response

Batch info, or paginated batch list when type=all.

Arbitrum batch with AnyTrust data availability.

after_acc_hash
string
required

Accumulator hash of the sequencer inbox after this batch was appended. Must equal before_acc_hash of the next batch.

Pattern: ^0x([A-Fa-f0-9]{64})$
before_acc_hash
string
required

Accumulator hash of the sequencer inbox before this batch was appended. Forms a hash chain: must equal after_acc_hash of the previous batch.

Pattern: ^0x([A-Fa-f0-9]{64})$
commitment_transaction
CommitmentTransaction · object
required

Parent chain transaction that committed the batch.

data_availability
Anytrust · object
required

AnyTrust data availability certificate.

end_block_number
integer
required

Last Rollup block included in the batch.

Required range: x >= 0
number
integer
required

Sequential identifier assigned to this batch by the sequencer.

Required range: x >= 0
start_block_number
integer
required

First Rollup block included in the batch.

Required range: x >= 0
transactions_count
integer
required

Number of transactions in the batch.

Required range: x >= 0